#
# spec file for package libnsl
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libnsl
Version:        1.0.4
Release:        1.5
Summary:        Network Support Library (NIS/NIS+)
License:        LGPL-2.1
Group:          System/Libraries
BuildRequires:  autoconf
BuildRequires:  libtool
BuildRequires:  pkg-config
%if 0%{?suse_version} >= 1310
BuildRequires:	libtirpc-devel >= 1.0
%endif
Url:            http://github.com/thkukuk/libnsl
Source:         %{name}-%{version}.tar.bz2
Source1:        baselibs.conf
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define debug_package_requires libnsl1 = %{version}-%{release}

%description
The Network Support Library for NIS/NIS+ was formerly part of glibc and
is now a standalone library. The big difference is, that this library
has support for IPv6.

%package -n libnsl2
Summary:        Network Support Library (NIS/NIS+)
Group:          System/Libraries

%description -n libnsl2
The Network Support Library for NIS/NIS+ was formerly part of glibc and
is now a standalone library. The big difference is, that this library
has support for IPv6.

%package devel
Summary:        Development package for Network Support Library (NIS/NIS+)
Group:          Development/Libraries/C and C++
Requires:       libnsl2 = %{version}

%description devel
The Network Support Library for NIS/NIS+ was formerly part of glibc and
is now a standalone library. The big difference is, that this library
has support for IPv6.
This package contains all files to develop and link against libnsl.

%prep
%setup -q

%build
%configure --libdir=/%{_libdir}/nsl --includedir=%{_includedir}/nsl
%{__make} %{?_smp_mflags}

%install
# Don't strip .symtab to allow debugging
export STRIP_KEEP_SYMTAB=libnsl*.so*
# NO_BRP_CHECK_ROOTFS is for SLES11 only, but does not harm for Factory
export NO_BRP_CHECK_ROOTFS=true
make install DESTDIR=$RPM_BUILD_ROOT
# move library to /lib
%{__mkdir} -p $RPM_BUILD_ROOT/%{_lib}
 %{__mv} -v $RPM_BUILD_ROOT/%{_libdir}/nsl/%{name}.so.2*  $RPM_BUILD_ROOT/%{_lib}/
# Adjust devel so link
%{__rm} -v %{buildroot}/%{_libdir}/nsl/%{name}.{a,la,so}
%{__ln_s} -v /%{_lib}/%{name}.so.2 %{buildroot}%{_libdir}/nsl/%{name}.so
%{__mv} -v $RPM_BUILD_ROOT/%{_libdir}/nsl/pkgconfig $RPM_BUILD_ROOT/%{_libdir}

%check
make check

%post -n libnsl2 -p /sbin/ldconfig

%postun -n libnsl2 -p /sbin/ldconfig

%files -n libnsl2
%defattr(-,root,root)
%doc COPYING
/%{_lib}/libnsl.so.2*

%files devel
%defattr(-,root,root)
%dir %{_libdir}/nsl/
%{_libdir}/nsl/libnsl.so
%dir %{_includedir}/nsl/
%{_includedir}/nsl/*
%{_libdir}/pkgconfig/*

%changelog
* Thu Apr  7 2016 dimstar@opensuse.org
- Add COPYING to the library package.
* Tue Mar  8 2016 kukuk@suse.de
- Update to version 1.0.4
  - better compatibility with glibc yppasswd.h
* Wed Feb 17 2016 kukuk@suse.de
- Update to version 1.0.3
  - export some private functions for libnss_nisplus
* Mon Feb 15 2016 kukuk@suse.de
- Update to version 1.0.2
  - remove obsolete prototypes from public header files
  - add missing header files
* Wed Jan 20 2016 kukuk@suse.de
- Update to version 1.0.1
  - enable all code with fixed tirpc >= 1.0
* Fri Jun 26 2015 kukuk@suse.com
- Initial release
